#include "mex.h" /* header file for matlab API */

/* function declarations  - needed so we can use them in main() */
unsigned int fibRecur(unsigned int); 

void mexFunction
( 
 int nlhs, /* number of left hand side arguments */
 mxArray *plhs[], /* pointer to lhs*/
 int nrhs, /* number of rhs arguments*/
 const mxArray *prhs[]) /* pointer to rhs arguments*/
{
  /* error checking omitted */
  plhs[0] = mxCreateDoubleScalar(fibRecur(mxGetScalar(prhs[0])));
}

unsigned int fibRecur(unsigned int n) {
  if (n<=1) return(n);
  else return(fibRecur(n-1) + fibRecur(n-2));
}
