#include <stdio.h> /* header file for input/output functions */

/* function declarations  - needed so we can use them in main() */
unsigned int fibLoop(unsigned int); 
unsigned int fibRecur(unsigned int); 

int main(int argc, char **argv) {
  unsigned int n;
  double x[4], *p;
  p = x;
  //p[1]++;
  

  if (argc != 2) {
    printf("ERROR: 1 command line argument required\n");
    return(12);  /* should return 0 on success, non-zero on failure */
  }
  if (!sscanf(argv[1],"%d",&n)) {
    printf("ERROR: bad input \"%s\"\n",argv[1]);
    return(13); /* should return 0 on success, non-zero on failure */
  }
  
  printf("Loop version: The %d Fibonacci number is %d\n",n,fibLoop(n));
  printf("Recursive version: The %d Fibonacci number is %d\n",n,fibRecur(n));
  
  return(0);
}

unsigned int fibLoop(unsigned int n) {
  unsigned int F,Fm1,Fm2;
  int i;
  
  if (n<=1) return(n);
  Fm1=1;
  Fm2=0;
  for(i=2; i<=n; i++) {
    F = Fm2+Fm1;
    Fm2 = Fm1;
    Fm1 = F;
  }
  return(F);
}

unsigned int fibRecur(unsigned int n) {
  if (n<=1) return(n);
  else return(fibRecur(n-1) + fibRecur(n-2));
}
