#include <stdlib.h> /* for malloc & free */
#include <string.h> /* for memcpy */
#include <stdio.h>
#include "matrix.h"

matrix newMatrix(int size[]) {
  matrix a;
  int i;
  if (!(a.size = malloc(2*sizeof(int)))) {
    printf("ERROR: newMatrix() - failed to allocates a.size\n");
    exit(-1);
  } /* error checking omitted below */
  memcpy(a.size,size,2*sizeof(int)); /* a.size[i]=size[i] */
  a.a = malloc(size[0]*sizeof(double*)); 
  a.a[0] = malloc(size[1]*size[0]*sizeof(double));
  for(i=1;i<size[0];i++) {
    a.a[i] = a.a[i-1]+size[1];
  }
  return(a);
}

void freeMatrix(matrix *a) {
  free(a->a[0]);
  free(a->a);
  free(a->size);
  a->a = NULL;
  a->size = NULL;
}
